import { NumberOrString } from '../../basic';
declare type TreeNodeKey = NumberOrString;
declare type TreeNodeData = {
    key?: TreeNodeKey;
    label?: string;
    children?: TreeNodeData[];
    selectable?: boolean;
    checkable?: boolean;
    disabled?: boolean;
    checkboxDisabled?: boolean;
    [key: string]: any;
};
declare type TreeNodeRenderer<TreeNode = any> = (data: TreeNodeData) => TreeNode;
declare type TreeData = TreeNodeData[];
declare type ConfigurableTreeNodeDataField = {
    key?: string;
    label?: string;
    children?: string;
};
export { TreeNodeKey, TreeNodeData, TreeNodeRenderer, TreeData, ConfigurableTreeNodeDataField };
